Subject: Polyester,Jute and woollen cushion,Carpet and Dari since 1975
From: "Oriental Matting Corporation" <[email-masked]>
To: "" <[email-masked]>
Date: Wed, 21 Sep 2022 15:49:34 +0530

Respected Sir,
I Introduce myselves as manufacturer and Exporter of Carpet Since 1975 from Bhadohi,Oriental Matting Corporation Founder Late Zahir alam,Kazipur and originator of flat weave in India.
I have many design collection in cushion, handloom,Dari and lower handknots in polyester,Jute and Semiworsted Yarn.
I shall be much obliged if you please allow me to send new development in presentation ppt .

Awaiting your reply,
Kind Regards,

Tasneem Alam Ansari
CEO  | Oriental Matting Corporation
[T]  +91 9839164766 [tel:+91 9839164766]   [M]  [email-masked] [mailto:[email-masked]]
  quazipur, Bhadohi, Uttar Pradesh, India